Error:Could not create an instance of Tooling API implementation using the specified Gradle installation 'C:\Program Files\Android\Android Studio\gradle\gradle-2.8'.

This error has been driving me nuts.. It occurs whenever i try to start a project.
It seems to be some kind of Compatibility between gradle and newer versions of android, i'm not sure..